juju provider interacts poorly with arch constraints

Bug #1062340 reported by Robie Basak on 2012-10-05
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MAAS
Critical
Robie Basak

Bug Description

juju only permits arch=arm (as well as i386 and armhf), which MAAS doesn't currently understand.

Workaround: use arch=any to deploy to ARM. But this is ugly.

MAAS should translate arm to mean armhf/* internally.

Related branches

On Friday 05 October 2012 14:36:41 you wrote:
> Public bug reported:
>
> juju only permits arch=arm (as well as i386 and armhf), which MAAS
> doesn't currently understand.
>
> Workaround: use arch=any to deploy to ARM. But this is ugly.
>
> MAAS should translate arm to mean armhf/* internally.

Is 'armel' ever going to appear?

Changed in maas:
status: New → Triaged
importance: Undecided → High
Julian Edwards (julian-edwards) wrote :

On Friday 05 October 2012 14:36:41 you wrote:
> juju only permits arch=arm (as well as i386 and armhf), which MAAS
> doesn't currently understand.

Also I'm surprised that juju is presuming knowledge of arch names!

Robie Basak (racb) wrote :

> Is 'armel' ever going to appear?

armel is now only really useful on systems using ARM chips which don't support floating point and some newer instructions. I think it's safe to assume that armel is never going to be used on Ubuntu Server in the real world, or at least that expending resources on thinking about Ubuntu Server on armel is not worth it.

> Also I'm surprised that juju is presuming knowledge of arch names!

I was surprised too! I think the intention is to support a basic minimum set of constraints that are common across providers but also lead to sane defaults. I think this may need to be revised at some point. But I think it does make sense to make MAAS map "arm" to something sensible (which I take to be armhf/* since we're Ubuntu Server).

Robie Basak (racb) wrote :

Andres, thanks for working on this over the weekend!

Unfortunately I think we've each missed some discussion on how to fix this (and resulted in a duped bug). Martin and Andres: we should sync on this about what kind of fix we want to land.

On Monday 08 October 2012 07:26:04 you wrote:
> I was surprised too! I think the intention is to support a basic minimum
> set of constraints that are common across providers but also lead to
> sane defaults. I think this may need to be revised at some point. But I
> think it does make sense to make MAAS map "arm" to something sensible
> (which I take to be armhf/* since we're Ubuntu Server).

Does this mean juju will break when more arm formats are added, or is "arm"
just a default?

Robie Basak (racb) on 2012-10-08
Changed in maas:
assignee: nobody → Robie Basak (racb)
status: Triaged → In Progress
Robie Basak (racb) on 2012-10-08
Changed in maas:
assignee: Robie Basak (racb) → nobody
status: In Progress → Fix Committed
Martin Packman (gz) on 2012-10-09
Changed in maas:
assignee: nobody → Robie Basak (racb)
status: Fix Committed → Fix Released
Martin Packman (gz) on 2012-10-09
no longer affects: maas (Ubuntu)
Changed in maas:
status: Fix Released → Fix Committed
tags: added: missing-in-quantal
Changed in maas:
importance: High → Critical
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers